import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);

export default new Router({
  routes: [
    {
      path: '/',
      name: 'Index',
      component: () => import('@/pages/Index')
    },
    {
      path: '/prod',
      name: 'Prod',
      component: () => import('@/pages/Prod'),
      meta: {
        title: '产品介绍'
      }
    },
    {
      path: '/cases',
      name: 'Cases',
      component: () => import('@/pages/Cases'),
      meta: {
        title: '合作案例'
      }
    },
    {
      path: '/news',
      name: 'News',
      component: () => import('@/pages/News'),
      meta: {
        title: '新闻资讯'
      }
    },
    {
      path: '/about',
      name: 'About',
      component: () => import('@/pages/About'),
      meta: {
        title: '关于橙蕉'
      }
    }
  ]
});
